BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Collections.IComparer System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true)

This class is the default implementation of the interface. The class is the implementation of the interface that performs case-insensitive string comparisons.

Comparison procedures use the of the current thread unless otherwise specified. String comparisons might have different results depending on the culture. For more information on culture-specific comparisons, see the namespace and Encoding and Localization.

Compares two objects for equivalence, where string comparisons are case-sensitive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Comparison procedures use the specified to determine the sort order and casing rules. String comparisons might have different results depending on the culture. For more information on culture-specific comparisons, see the namespace and Encoding and Localization.

  Initializes a new instance of the class using the specified .

  The to use for the new .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` ``

  Both and are not and do not implement the interface.

  -or-

  Both and are not and are not assignment-compatible types.

  The first object to compare.

  If implements , then . CompareTo () is returned; otherwise, if implements , then the negated result of . CompareTo () is returned.

  Comparing null with any type is allowed and does not generate an exception when using . When sorting, null is considered to be less than any other object.

  String comparisons might have different results depending on the culture. For more information on culture-specific comparisons, see the namespace and Encoding and Localization.

  Performs a case-sensitive comparison of two objects of the same type and returns a value indicating whether one is less than, equal to, or greater than the other.

  A signed integer that indicates the relative values of and , as shown in the following table.

  Value

  Meaning

  Less than zero

  is less than .

  Zero

  equals .

  Greater than zero

  is greater than .

  The first object to compare. The second object to compare. 0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Comparer

  Comparison procedures use the of the current thread to determine the sort order and casing rules. String comparisons might have different results depending on the culture. For more information on culture-specific comparisons, see the namespace and Encoding and Localization.

  Represents an instance of that is associated with the of the current thread. This field is read-only.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Comparer

  Comparison procedures use the to determine the sort order and casing rules. String comparisons might have different results depending on the culture. For more information on culture-specific comparisons, see the namespace and Encoding and Localization.

  Represents an instance of that is associated with . This field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  While the method is not visible to COM clients by default, inheriting the class can expose it and can cause undesirable behavior in COM clients.

  Populates a object with the data required for serialization.

  The object to populate with data. The context information about the source or destination of the serialization.
0